Name:          eigen3
Version:       3.2.4
Release:       1mamba
Summary:       A C++ template library for linear algebra
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://eigen.tuxfamily.org
Source:        http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
License:       LGPL, MPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: doxygen
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Eigen is a C++ template library for linear algebra: vectors, matrices, and related algorithms.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Provides:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      eigen-devel = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Eigen is a C++ template library for linear algebra: vectors, matrices, and related algorithms.
This package contains static libraries and header files need for development.

%prep
%setup -q -c
mv eigen-* eigen

%build
cd eigen
%cmake -d build
%make
cd ..
make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd eigen
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_includedir}/eigen3/
%{_datadir}/pkgconfig/eigen3.pc
%doc eigen/COPYING.*

%changelog
* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Fri Aug 08 2014 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Dec 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-1mamba
- update to 3.1.2

* Fri Jul 17 2009 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Fri May 29 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.0.2-1mamba
- package created by autospec
